## com.arsdigita.bookmarks
Class Bookmark

    java.lang.Object
      com.arsdigita.domain.DomainObject
          com.arsdigita.domain.ObservableDomainObject
              com.arsdigita.kernel.ACSObject
                  com.arsdigita.bookmarks.Bookmark

public class Bookmark
extends com.arsdigita.kernel.ACSObject

A bookmark.

Author:
  Jim Parsons

Field Summary
`static String` `BASE_DATA_OBJECT_TYPE` The type of the `DataObject` that stands behind this `DomainObject`.

Fields inherited from class com.arsdigita.kernel.ACSObject
`CONTAINER, DEFAULT_DOMAIN_CLASS, DISPLAY_NAME, ID, OBJECT_TYPE, versionId`

Constructor Summary
`Bookmark(com.arsdigita.persistence.DataObject dataObject)`
`Bookmark(String name, String URLstring)`

Method Summary
`protected void` `afterSave()`
`String` `getAuthor()` Get the original creator's name for this Bookmark.
`protected String` `getBaseDataObjectType()`
`BookmarkApplication` `getBookmarkApplication()`
`String` `getCreateDate()` Get the Creation Date of this Bookmark.
`String` `getDescription()` Get the Description of this Bookmark.
`String` `getModDate()` Get the last modification date of this Bookmark.
`String` `getName()` Get the title of this Bookmark.
`boolean` `getNewWindow()`
`String` `getNumVisits()` Get the number of times this Bookmark has been visited, and return value as a String.
`int` `getSortKey()` Get the sort key of this Bookmark.
`String` `getURL()` Get the URL of this Bookmark.
`static BookmarkCollection` `retrieveAllBookmarks()`
`static Bookmark` `retrieveBookmark(BigDecimal bmrkID)` Retrieve an existing Bookmark based on an ID.
`static Bookmark` `retrieveBookmark(com.arsdigita.persistence.DataObject dataObject)` Retrieve an existing Bookmark based on a data object.
`static Bookmark` `retrieveBookmark(com.arsdigita.persistence.OID oid)` Retrieve an existing Bookmark based on an OID.
`void` `setBookmarkApplication(BookmarkApplication bmrkapp)`
`void` `setDescription(String desc)` Set the description for this Bookmark.
`void` `setModDate()` Set the mod date for this Bookmark.
`void` `setName(String name)` Set the title of this Bookmark.
`void` `setNewWindow(boolean newWindow)`
`void` `setSortKey(int sortKey)`
`void` `setURL(String url)` Set the URL of this Bookmark.
`void` `visitsPlusPlus()` Increment the counter for number of visits to this Bookmark.

Methods inherited from class com.arsdigita.kernel.ACSObject
`assertPrivilege, beforeSave, checkPrivilege, doCreateCheck, doWriteCheck, getContainer, getDefaultDomainClass, getDisplayName, getID, getSpecificObjectType, getSpecificOID, gimmeContainer, initialize, isContainerModified, setID, setID`

Methods inherited from class com.arsdigita.domain.ObservableDomainObject
`addObserver, getObservers`

Methods inherited from class com.arsdigita.domain.DomainObject
`add, add, addToAssociation, afterDelete, beforeDelete, clear, delete, disconnect, equals, get, getObjectType, getOID, getSession, hashCode, isDeleted, isDisconnected, isModified, isNew, isPropertyModified, isValid, remove, remove, remove, removeFromAssociation, save, set, setAssociation, setAssociation, specializeDataObject, specializeDataObject, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### BASE_DATA_OBJECT_TYPE

    public static final String BASE_DATA_OBJECT_TYPE

  The type of the `DataObject` that stands behind this `DomainObject`.

  See Also:
    Constant Field Values

Constructor Detail

### Bookmark

    public Bookmark(com.arsdigita.persistence.DataObject dataObject)

### Bookmark

    public Bookmark(String name,
                    String URLstring)

Method Detail

### getBaseDataObjectType

    protected String getBaseDataObjectType()

### retrieveBookmark

    public static Bookmark retrieveBookmark(BigDecimal bmrkID)

  Retrieve an existing Bookmark based on an ID.

### retrieveBookmark

    public static Bookmark retrieveBookmark(com.arsdigita.persistence.DataObject dataObject)

  Retrieve an existing Bookmark based on a data object.

  Parameters:
    `dataObject` - the data object of the Bookmark to retrieve.
  Returns:
    an existing Bookmark. Note that the return value may be null if no Bookmark data object for this ID exists.

### retrieveBookmark

    public static Bookmark retrieveBookmark(com.arsdigita.persistence.OID oid)

  Retrieve an existing Bookmark based on an OID.

  Parameters:
    `oid` - the OID of the Bookmark to retrieve.

### getBookmarkApplication

    public BookmarkApplication getBookmarkApplication()

### setBookmarkApplication

    public void setBookmarkApplication(BookmarkApplication bmrkapp)

### retrieveAllBookmarks

    public static BookmarkCollection retrieveAllBookmarks()

### getName

    public String getName()

  Get the title of this Bookmark.

  Returns:
    this Bookmarks title.

### getURL

    public String getURL()

  Get the URL of this Bookmark.

### getDescription

    public String getDescription()

  Get the Description of this Bookmark.

### getCreateDate

    public String getCreateDate()

  Get the Creation Date of this Bookmark.

### getModDate

    public String getModDate()

  Get the last modification date of this Bookmark.

### getNewWindow

    public boolean getNewWindow()

### getAuthor

    public String getAuthor()

  Get the original creator's name for this Bookmark.

  Returns:
    this portal's title.

### getNumVisits

    public String getNumVisits()

  Get the number of times this Bookmark has been visited, and return value as a String.

### setName

    public void setName(String name)

  Set the title of this Bookmark.

### setURL

    public void setURL(String url)

  Set the URL of this Bookmark.

### setDescription

    public void setDescription(String desc)

  Set the description for this Bookmark.

### setModDate

    public void setModDate()

  Set the mod date for this Bookmark.

### setNewWindow

    public void setNewWindow(boolean newWindow)

### visitsPlusPlus

    public void visitsPlusPlus()

  Increment the counter for number of visits to this Bookmark.

### getSortKey

    public int getSortKey()

  Get the sort key of this Bookmark. The sort key is used to order a set of bookmarks in a particular Workspace.

  Returns:
    the bookmark sort key.

### setSortKey

    public void setSortKey(int sortKey)

### afterSave

    protected void afterSave()

Copyright (c) 2006 Red Hat, Inc. Corporation. All Rights Reserved. Generated at June 1 2006:1057 UTC